/* ===== Переменные ===== */
:root {
  --transition: 0.3s ease;
}

/* ===== Сброс и базовые стили ===== */
*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

a {
  color: inherit;
  text-decoration: none;
}

ul {
  list-style: none;
}

img {
  max-width: 100%;
  display: block;
}

button {
  font-family: inherit;
  border: none;
  cursor: pointer;
}

button {
  position: relative;
  font-family: inherit;
  border: none;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 12px;
  background: #40DEE7;
  overflow: hidden;
  isolation: isolate;
}

button::before {
  content: '';
  position: absolute;
  inset: 0;
  border-radius: inherit;
  background: linear-gradient(90deg, #46A6AC 0%, #6AD9DF 100%);
  transition: opacity var(--transition);
  z-index: -1;
}

button::after {
  content: '';
  position: absolute;
  inset: 0;
  border-radius: inherit;
  background: rgba(255, 255, 255, 0.30);
  opacity: 0;
  transition: opacity var(--transition);
  z-index: -1;
}

button:hover::after {
  opacity: 1;
}

button:active::before {
  opacity: 0;
}

button:active::after {
  opacity: 0;
}